org.yaml.snakeyaml.representer

## Class BaseRepresenter

- java.lang.Object
- - org.yaml.snakeyaml.representer.BaseRepresenter

Direct Known Subclasses:
  Representer

    public abstract class BaseRepresenter
    extends Object

Represent basic YAML structures: scalar, sequence, mapping

### Field Summary

Fields
`protected DumperOptions.FlowStyle` `defaultFlowStyle`
`protected DumperOptions.ScalarStyle` `defaultScalarStyle`
`protected Map<Class<?>,Represent>` `multiRepresenters`
`protected Represent` `nullRepresenter` in Java 'null' is not a type.
`protected Object` `objectToRepresent`
`protected Map<Object,Node>` `representedObjects`
`protected Map<Class<?>,Represent>` `representers`

### Constructor Summary

Constructors
Constructor and Description
`BaseRepresenter()`

### Method Summary

Methods
`DumperOptions.FlowStyle` `getDefaultFlowStyle()`
`DumperOptions.ScalarStyle` `getDefaultScalarStyle()`
`PropertyUtils` `getPropertyUtils()`
`boolean` `isExplicitPropertyUtils()`
`Node` `represent(Object data)`
`protected Node` `representData(Object data)`
`protected Node` `representMapping(Tag tag, Map<?,?> mapping, DumperOptions.FlowStyle flowStyle)`
`protected Node` `representScalar(Tag tag, String value)`
`protected Node` `representScalar(Tag tag, String value, DumperOptions.ScalarStyle style)`
`protected Node` `representSequence(Tag tag, Iterable<?> sequence, DumperOptions.FlowStyle flowStyle)`
`void` `setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)`
`void` `setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)`
`void` `setPropertyUtils(PropertyUtils propertyUtils)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### representers

    protected final Map<Class<?>,Represent> representers

#### nullRepresenter

    protected Represent nullRepresenter

in Java 'null' is not a type. So we have to keep the null representer separately otherwise it will coincide with the default representer which is stored with the key null.

#### multiRepresenters

    protected final Map<Class<?>,Represent> multiRepresenters

#### defaultScalarStyle

    protected DumperOptions.ScalarStyle defaultScalarStyle

#### defaultFlowStyle

    protected DumperOptions.FlowStyle defaultFlowStyle

#### representedObjects

    protected final Map<Object,Node> representedObjects

#### objectToRepresent

    protected Object objectToRepresent

### Constructor Detail

#### BaseRepresenter

    public BaseRepresenter()

### Method Detail

#### represent

    public Node represent(Object data)

#### representData

    protected final Node representData(Object data)

#### representScalar

    protected Node representScalar(Tag tag,
                       String value,
                       DumperOptions.ScalarStyle style)

#### representScalar

    protected Node representScalar(Tag tag,
                       String value)

#### representSequence

    protected Node representSequence(Tag tag,
                         Iterable<?> sequence,
                         DumperOptions.FlowStyle flowStyle)

#### representMapping

    protected Node representMapping(Tag tag,
                        Map<?,?> mapping,
                        DumperOptions.FlowStyle flowStyle)

#### setDefaultScalarStyle

    public void setDefaultScalarStyle(DumperOptions.ScalarStyle defaultStyle)

#### getDefaultScalarStyle

    public DumperOptions.ScalarStyle getDefaultScalarStyle()

#### setDefaultFlowStyle

    public void setDefaultFlowStyle(DumperOptions.FlowStyle defaultFlowStyle)

#### getDefaultFlowStyle

    public DumperOptions.FlowStyle getDefaultFlowStyle()

#### setPropertyUtils

    public void setPropertyUtils(PropertyUtils propertyUtils)

#### getPropertyUtils

    public final PropertyUtils getPropertyUtils()

#### isExplicitPropertyUtils

    public final boolean isExplicitPropertyUtils()